Bug 445567 - K3B: Fedora 9 and newer can no longer burn media using LITE-ON LH-20A1H
K3B: Fedora 9 and newer can no longer burn media using LITE-ON LH-20A1H
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
All Linux
low Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-07 13:16 EDT by Gerry Reno
Modified: 2009-11-05 17:44 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-05 17:44:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
error file as generated by k3b (3.24 KB, text/plain)
2008-05-07 13:16 EDT, Gerry Reno
no flags Details

  None (edit)
Description Gerry Reno 2008-05-07 13:16:04 EDT
Description of problem:
F9 K3B has broken my ability to burn DVD.

Version-Release number of selected component (if applicable):
1.0.4-6.fc9

How reproducible:
always

Steps to Reproduce:
1. put blank DVD (any type) in drive, try to burn any files
2.
3.
  
Actual results:
fails to burn files to any type of DVD


Expected results:
burn files to media as I could in F7


Additional info:

DVD DRIVE:   LITE-ON LH20A1  (rev LL07)
Comment 1 Gerry Reno 2008-05-07 13:16:04 EDT
Created attachment 304789 [details]
error file as generated by k3b
Comment 2 Gerry Reno 2008-05-07 13:21:24 EDT
I just unloaded and reloaded the DVD and the file I burned is on there.  But K3B
said Error on the verify, no tracks on media.  So maybe the burn is ok but the
verify is messed up.

Comment 3 Gerry Reno 2008-05-07 13:26:07 EDT
Ok, did another burn and same thing.  The burn says ok, but the verify fails
with no tracks on media.
Comment 4 Rex Dieter 2008-05-07 13:27:07 EDT
Yes, verify is hosed due to kernel bug #440343
Comment 5 Rex Dieter 2008-05-07 13:28:52 EDT
ok, the "no tracks on media" is a new one, but still a kernel-level io thing
(afaict)
Comment 6 Gerry Reno 2008-05-07 13:38:41 EDT
Also, one of our backup programs gets this error when trying to determine the
supported burning speeds of the media:

 Please select burn speed:
:-[ READ DVD STRUCTURE#0 failed with SK=2h/ASC=04h/ACQ=01h]: Resource
temporarily unavailable
:-[ READ DISC INFORMATION failed with SK=2h/ASC=04h/ACQ=01h]: Resource
temporarily unavailable

I've retried this several times with different media and always the same result.

This was working fine under F7.

Comment 7 Gerry Reno 2008-05-07 13:46:43 EDT
If I allow it to go ahead and attempt a burn then we see this:

 BURN:   STARTING: Attempting to burn files to DVD+R media.
Wed May  7 13:44:05 EDT 2008
:-( /dev/sr0: media is not recognized as recordable DVD: 0

Maybe the burn speed probe failure messes up the ability to read the media?

Comment 8 Steven M. Parrish 2008-05-07 17:31:38 EDT
reassigning to Kernel component
Comment 9 Bug Zapper 2008-05-14 06:47:18 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Gianluca Varisco 2008-09-05 04:58:36 EDT
Hi Gerry,

Do you still encounter the problem you described with latest F9-updates?
Comment 11 Gerry Reno 2008-09-22 20:57:02 EDT
The latest kernel 2.6.25-14 is the one I'm using and yes the problem is still there.  The Liteon DVD drive is unusable with F9.  Same exact errors.
Comment 12 Gerry Reno 2009-04-03 01:07:17 EDT
I've updated this machine to F10 and now we get an earlier problem:
mount: you must specify the filesystem type

Apparently automount is broken.

Kernel is 2.6.27.19-170.2.35.fc10.i686.PAE
Comment 13 Gerry Reno 2009-05-04 14:03:50 EDT
Running a few tests.  There is something wrong with automount as I said in last comment.

Tried to get k3b to burn a dvd.  It either fails entirely or it will burn without the verify.  It always fails when you try to use verify.

Every single release since F7 has caused problems when using these Liteon drives.  There is something wrong in the kernel.
Comment 14 Gerry Reno 2009-05-07 11:39:39 EDT
Went and tried doing a Fedora F11 Preview install with this drive.  As long as you a VERY fast at going through the screens the drive stays readable and the install proceeds. But if you take any amount of time such as in the disk partitioning screen and then try to continue the install hangs and the drive light just continually goes on and off slowly (every few seconds) but it seems like the installer can no longer read from the drive.  This behavior is consistent with what we see from every app since F7 that tries to use this drive.  Something changes with the driver after F7 and ever since these drives do not work properly.  They quit reading unless you never let them spindown.
Comment 15 Bug Zapper 2009-06-09 20:39:59 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Gerry Reno 2009-06-09 21:51:08 EDT
Please move this bug to Fedora 11.  It is still an issue.
Comment 17 Karl Auerbach 2009-06-16 23:25:38 EDT
I have just confirmed this bug on Fedora 10:

Linux a192-203-17-216.cavebear.com 2.6.27.24-170.2.68.fc10.x86_64 #1 SMP Wed May 20 22:47:23 EDT 2009 x86_64 x86_64 x86_64 GNU/Linux

The DVD drive is a USB attached Liteon eZAU422 (22X EZ-DUB)

The symptoms are these:

When powered up the drive emits these normal messages into the kernel log:

usb-storage: device found at 8
usb-storage: waiting for device to settle before scanning
usb 2-4: New USB device found, idVendor=1c6b, idProduct=a122
usb 2-4: New USB device strings: Mfr=1, Product=2, SerialNumber=3
usb 2-4: Product: Mass Storage Device
usb 2-4: Manufacturer: USB2.0 External
usb 2-4: SerialNumber: 20090105000000016DF
usb-storage: device scan complete
scsi 7:0:0:0: CD-ROM            ATAPI    iHAS422   8      4L16 PQ: 0 ANSI: 0
sr0: scsi3-mmc drive: 48x/12x writer dvd-ram cd/rw xa/form2 cdda tray
sr 7:0:0:0: Attached scsi CD-ROM sr0
sr 7:0:0:0: Attached scsi generic sg1 type 5

The drive runs just fine as a DVD reader and /dev/sr0, /dev/dvd, and /dev/dvdraw are all present.

But fire up k3b and the kernel log gets filled with this kind of stuff:
usb 2-4: device descriptor read/64, error -71
usb 2-4: new high speed USB device using ehci_hcd and address 10
usb 2-4: device descriptor read/64, error -71
usb 2-4: device descriptor read/64, error -71
usb 2-4: new high speed USB device using ehci_hcd and address 11
usb 2-4: device not accepting address 11, error -71
usb 2-4: new high speed USB device using ehci_hcd and address 12
usb 2-4: device not accepting address 12, error -71
hub 2-0:1.0: unable to enumerate USB device on port 4
usb 6-1: new full speed USB device using ohci_hcd and address 10
usb 6-1: device descriptor read/64, error -62
usb 6-1: device descriptor read/64, error -62
usb 6-1: new full speed USB device using ohci_hcd and address 11
usb 6-1: device descriptor read/64, error -62
usb 6-1: device descriptor read/64, error -62
usb 6-1: new full speed USB device using ohci_hcd and address 12
usb 6-1: device not accepting address 12, error -62
usb 6-1: new full speed USB device using ohci_hcd and address 13
usb 6-1: device not accepting address 13, error -62
hub 6-0:1.0: unable to enumerate USB device on port 1

And /dev/sr0, /dev/dvd, and /dev/dvdraw are now absent.

And k3b emits this to its stderr:

 (K3bDevice::HalConnection) initializing HAL >= 0.5
Mapping udi /org/freedesktop/Hal/devices/storage_serial_ATAPI_iHAS422_8_20090105000000016DF_0_0 to device /dev/sr0
/dev/sr0 resolved to /dev/sr0
/dev/sr0 is block device (0)
/dev/sr0 seems to be cdrom
bus: 7, id: 0, lun: 0
(K3bDevice::Device) /dev/sr0: init()
(K3bDevice::Device) /dev/sr0 feature: CD Mastering
(K3bDevice::Device) /dev/sr0 feature: CD Track At Once
(K3bDevice::Device) /dev/sr0 feature: CD-RW Media Write Support
(K3bDevice::Device) /dev/sr0 feature: DVD Read (MMC5)
(K3bDevice::Device) /dev/sr0 feature: DVD+R
(K3bDevice::Device) /dev/sr0 feature: DVD+RW
(K3bDevice::Device) /dev/sr0 feature: DVD+R Double Layer
(K3bDevice::Device) /dev/sr0 feature: DVD-R/-RW Write
(K3bDevice::Device) /dev/sr0 feature: Rigid Restricted Overwrite
(K3bDevice::Device) /dev/sr0 feature: Layer Jump Recording
(K3bDevice::Device) /dev/sr0 unknown profile: 2
(K3bDevice::Device) /dev/sr0: dataLen: 60
(K3bDevice::Device) /dev/sr0: checking for TAO
(K3bDevice::Device) /dev/sr0: checking for SAO
(K3bDevice::Device) /dev/sr0: checking for SAO_R96P
(K3bDevice::Device) /dev/sr0: checking for SAO_R96R
(K3bDevice::Device) /dev/sr0: checking for RAW_R16
(K3bDevice::Device) /dev/sr0: checking for RAW_R96P
(K3bDevice::Device) /dev/sr0: checking for RAW_R96R
(K3bDevice::ScsiCommand) failed: 
                           command:    GET PERFORMANCE (ac)
                           errorcode:  0
                           sense key:  NO SENSE (2)
                           asc:        0
                           ascq:       0
(K3bDevice::Device) /dev/sr0: GET PERFORMANCE length det failed.
(K3bDevice::ScsiCommand) failed: 
                           command:    MODE SENSE (5a)
                           errorcode:  0
                           sense key:  NO SENSE (2)
                           asc:        0
                           ascq:       0
(K3bDevice::Device) /dev/sr0: MODE SENSE length det failed.
(K3bDevice::ScsiCommand) failed: 
                           command:    MODE SENSE (5a)
                           errorcode:  0
                           sense key:  NO SENSE (2)
                           asc:        0
                           ascq:       0
(K3bDevice::Device) /dev/sr0: MODE SENSE with real length 65535 failed.
(K3bDevice::Device) could not open device /dev/sr0 for reading
                    (No such device or address)
Error while retrieving capabilities.
Could not initialize device /dev/sr0
Devices:
------------------------------
removing udi /org/freedesktop/Hal/devices/usb_device_1c6b_a122_20090105000000016DF_if0_scsi_host
removing udi /org/freedesktop/Hal/devices/usb_device_1c6b_a122_20090105000000016DF_if0_scsi_host_0_scsi_device_lun0_scsi_generic
removing udi /org/freedesktop/Hal/devices/storage_serial_ATAPI_iHAS422_8_20090105000000016DF_0_0
Unmapping udi /org/freedesktop/Hal/devices/storage_serial_ATAPI_iHAS422_8_20090105000000016DF_0_0 from device /dev/sr0
removing udi /org/freedesktop/Hal/devices/usb_device_1c6b_a122_20090105000000016DF_if0_scsi_host_0_scsi_device_lun0
removing udi /org/freedesktop/Hal/devices/usb_device_1c6b_a122_20090105000000016DF_if0_scsi_host_0
removing udi /org/freedesktop/Hal/devices/usb_device_1c6b_a122_20090105000000016DF_if0
removing udi /org/freedesktop/Hal/devices/usb_device_1c6b_a122_20090105000000016DF

If the drive is power cycled or the USB cable disconnected and replugged then the normal messages are emitted into the kernel log and /dev/sr0, /dev/dvd, and /dev/dvdraw are present once again.
Comment 18 Karl Auerbach 2009-07-02 21:02:36 EDT
On Fedora 11 (x86_64) I managed to burn a usable disk on this Liteon eZAU422 (22X EZ-DUB) drive using Brasero rather than K3b.

However, Brasero did make a number of complaints and ended up declaring the disk as possibly mis-burned.  I was, however, able to read the disk on another drive.

But at least the /dev/*dvd* and /dev/sr0 entities remained, unlike what happens with K3b.

This is on an Fedora 11 box with up-to-date patches.

Linux klack.cavebear.com 2.6.29.5-191.fc11.x86_64 #1 SMP Tue Jun 16 23:23:21 EDT 2009 x86_64 x86_64 x86_64 GNU/Linux
Comment 19 Vedran Miletić 2009-10-26 07:12:25 EDT
Is this still an issue in Fedora 12 Beta?
Comment 20 Vedran Miletić 2009-11-05 17:44:08 EST
Reporter doesn't reply, so I will close this as insufficent data. If anyone can reliably reproduce this in Fedora 12 Beta or newer, please reopen this.

Note You need to log in before you can comment on or make changes to this bug.